View Issue Details

IDProjectCategoryView StatusLast Update
0002705SymmetricDSImprovementpublic2016-08-16 14:57
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.1Fixed in Version3.8.1 
Summary0002705: Record Batch Summaries
DescriptionRecord a high level summary of what is included in a batch, in a single, easy to query column. Initially, the batch_summary will contain a comma separated list of tables within the batch. This is an informational column and is not designed to be parsed or to be an exhaustive list of everything that is in the batch.

Supporting this on Outgoing Batches here. Support for incoming batch would likely mean a protocol change and can be evaluated in a separate issue.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 59886098

2016-08-03 15:51:37

mmichalek

Details Diff
0002705: Record Batch Summaries
0002705
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: 3.8 4d86dd21

2016-08-15 23:52:00

mmichalek

Details Diff
0002705: Record Batch Summaries
0002705
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/OutgoingBatch.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File

Issue History

Date Modified Username Field Change
2016-08-03 15:43 mmichalek New Issue
2016-08-03 15:43 mmichalek Status new => assigned
2016-08-03 15:43 mmichalek Assigned To => mmichalek
2016-08-03 16:00 mmichalek Changeset attached => SymmetricDS 3.8 59886098
2016-08-08 11:10 admin Target Version 3.8.0 => 3.8.1
2016-08-15 14:29 mmichalek Target Version 3.8.1 => 3.8.2
2016-08-16 00:00 mmichalek Changeset attached => SymmetricDS 3.8 4d86dd21
2016-08-16 09:23 mmichalek Status assigned => resolved
2016-08-16 09:23 mmichalek Resolution open => fixed
2016-08-16 09:23 mmichalek Fixed in Version => 3.8.1
2016-08-16 09:23 mmichalek Target Version 3.8.2 => 3.8.1
2016-08-16 09:23 mmichalek Description Updated View Revisions
2016-08-16 14:57 elong Status resolved => closed